LibreOffice: XDataType Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDataType Interface Reference

specifies an XSD compliant simple data type More...

`import "XDataType.idl";`

Inheritance diagram for XDataType:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| provides generic access to the instance properties

## Public Member Functions
boolean | validate ([in] string value)
| TODO.
string | explainInvalid ([in] string value)
| TODO.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
string | Name
| provides access to the name of the type
string | Pattern
| specifies the pattern which strings conforming to this type comply to
short | WhiteSpaceTreatment
| specifies how strings of this data type are to be processed, with respect to white spaces
boolean | IsBasic
| specifies whether the type is a basic type
short | TypeClass
| class of the type

## Detailed Description

specifies an XSD compliant simple data type

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

provides generic access to the instance properties

## Member Function Documentation

## ◆ explainInvalid()

string explainInvalid | ( | [in] string | value | ) |

TODO.

## ◆ validate()

boolean validate | ( | [in] string | value | ) |

TODO.

## Member Data Documentation

## ◆ IsBasic

boolean IsBasic
| attributereadonly

specifies whether the type is a basic type

Basic types are built into the type system, and cannot be changed by the user.

## ◆ Name

string Name
set raises | ( | com::sun::star::util::VetoException ) |  |  |
| attribute

provides access to the name of the type

## ◆ Pattern

string Pattern
| attribute

specifies the pattern which strings conforming to this type comply to

See http://www.w3.org/TR/xmlschema-2/#rf-pattern

## ◆ TypeClass

short TypeClass
| attributereadonly

class of the type

See also
  DataTypeClass

## ◆ WhiteSpaceTreatment

short WhiteSpaceTreatment
set raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |
| attribute

specifies how strings of this data type are to be processed, with respect to white spaces

See http://www.w3.org/TR/xmlschema-2/#rf-whiteSpace

The documentation for this interface was generated from the following file:

- com/sun/star/xsd/XDataType.idl